Subject: I-D Action:draft-ietf-sip-record-route-fix-09.txt

From: [email-masked]
Date: Wed, 12 Aug 2009 13:00:01 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Session Initiation Protocol Working Group of the IETF.

	Title           : Addressing Record-Route issues in the Session Initiation Protocol (SIP)
	Author(s)       : T. Froment, et al.
	Filename        : draft-ietf-sip-record-route-fix-09.txt
	Pages           : 26
	Date            : 2009-08-12

A typical function of a Session Initiation Protocol (SIP) Proxy is to
insert a Record-Route header into initial, dialog creating requests
in order to make subsequent, in-dialog requests pass through it.
This header contains a SIP Uniform Resource Identifier (URI)
indicating where and how the subsequent requests should be sent to
reach the proxy.  Like any SIP URI, it can contain SIP or SIPS
schemes, IPv4 or IPv6 addresses, and URI parameters that could
influence the routing such as the transport parameter (for example
transport=tcp), or a compression indication like "comp=sigcomp".
When a proxy has to change some of those parameters between its
incoming and outgoing interfaces (multi-homed proxies, transport
protocol switching or IPv4 to IPv6 scenarios...), the question arises
on what should be put in Record-Route header(s).  It is not possible
to make one header have the characteristics of both interfaces at the
same time.  This document aims to clarify these scenarios and fix
bugs already identified on this topic; it formally recommends the use
of the double Record-Route technique as an alternative to the current
RFC3261 text, which describes only a Record-Route rewriting solution.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-sip-record-route-fix-09.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.